Package Details: grub-silent 2.04-5

Git Clone URL: https://aur.archlinux.org/grub-silent.git (read-only, click to copy)
Package Base: grub-silent
Description: GNU GRand Unified Bootloader (2) [without welcome and kernel messages]
Upstream URL: https://www.gnu.org/software/grub/
Keywords: boot booting grub hide loading message silent
Licenses: GPL3
Conflicts: grub, grub-bios, grub-common, grub-efi-x86_64, grub-emu, grub-git, grub-legacy
Provides: grub, grub-bios, grub-common, grub-efi-x86_64, grub-emu
Replaces: grub, grub-bios, grub-common, grub-efi-x86_64, grub-emu
Submitter: ozgursarier
Maintainer: drlorente97
Last Packager: drlorente97
Votes: 18
Popularity: 1.81
First Submitted: 2017-11-12 13:41
Last Updated: 2021-05-21 12:10

Dependencies (17)

Required by (123)

Sources (11)

Pinned Comments

drlorente97 commented on 2021-05-21 10:33

As the maintainer of grub-silent package is my obligation to keep it updated to the lastest stable version, grub-2.06 is still in development. Please don't flag this package as outdated until an stable grub update is released.

Latest Comments

1 2 3 4 5 Next › Last »

Raizan commented on 2021-05-21 12:19

Thank you for the information and the upcoming fix. By the way, I made a "typo" on the first comment I made in this page: I use Grub on BIOS/GPT (Not MBR/GPT) and that is where I get the original decompressor too big warning. 2.04 silent grub ends up at 977ish MB, 2.06 package ended at 32mb.

drlorente97 commented on 2021-05-21 12:14

Aparentely solved ("Decompressor is too big")

I have used a 2.06 patch from grub repo that aparently solve ("Decompressor is too big") issue and added it to the package. Feel free to test it and report bugs

P.D: I'm the same maintainer, just changed my nickname :)

drlorente97 commented on 2021-05-21 10:33

As the maintainer of grub-silent package is my obligation to keep it updated to the lastest stable version, grub-2.06 is still in development. Please don't flag this package as outdated until an stable grub update is released.

si1enced0ne commented on 2021-05-21 09:58

grub-2.06 is still in testing, this version matches up with the stable version of grub and I haven't had any issues with it. I can't say it needs to be flagged as outdated.

Raizan commented on 2021-05-20 17:28

Further update: I managed to make a package which contains the scripts from grub-silent. The package is made from grub-2.06-rc1a, gnulib, the scripts fixed to fit the new code lines on 2.06, and the grub-extras. It is fully working, and I would be happy to share it to update this AUR package but it needs to be reviewed. Please contact me if you can use the files.

Raizan commented on 2021-05-19 15:51

I flagged out of date the package, might have been the wrong move but I explained in detail why I did there.

To further comment here: I'm having the same problem that @lucasgta95 and @adi1090x are having. @si1enced0ne I'm on stock Arch install. I'm also using MBR/GPT Grub (the official one from core without issues). When I build this package from this AUR, I end up with a Grub sizing around 1 GB. That is why the size ends up too big to install. It was addressed in the Git from Grub around 04-2020. It isn't fixed on version 2.04 but apparently it is on version 2.06 according to the commits.

I tried to make a new package with Grub-silent files and grub-2.06-rt1a but failed at the end with a "gnulib not bootstrapped" error that I don't know how to address. So I flagged this package out-of-date because at the very least for MBR/GPT Grub, it isn't working and there is a fix apparently available already.

P.S: If it can be of help... I modified this repo files to fit the new lines numbers in 2.06, added the link to 2.06-rt1a with a sha265 but I'm unable to finish making a new AUR package due to the bootstrap inconvenient.

si1enced0ne commented on 2021-05-16 08:51

Below errors are not a problem on stock Arch install.

lucasgta95 commented on 2021-05-14 20:19

"grub-install : error : Decompressor is too big."

adi1090x commented on 2021-05-13 08:12

This package needs an update soon. It's unable to install grub now, and gives the following error -

"grub-install : error : Decompressor is too big."

Images : https://ibb.co/BqHQ1tj, https://ibb.co/6m6FvVw

loki7990 commented on 2021-02-23 22:07

In the quick_boot.patch, there's a section where if you have os_prober detecting other OSes, the timeout_style is hard set to "menu" even if you set it to be hidden. Might want to adjust the patch accordingly as I have to manually editing /boot/grub/grub.cfg to get a completely silent boot at the moment